package test.org.one.stone.soup.stringhelper;

import org.one.stone.soup.stringhelper.StringParser;

import junit.framework.TestCase;

public class StringParserTests extends TestCase {

	public static String testData = "outside[inside1[inside2]]";
	
	public void testParsesInnerString()
	{
		String result = StringParser.getInside(testData,'[',']');
		
		assertNotNull(result);
		assertEquals("inside1[inside2]",result);
	}

	public void testParsesOuterString()
	{
		String result = StringParser.getOutside(testData,'[',']');
		
		assertNotNull(result);
		assertEquals("outside[]",result);
	}
	
}
