package test.org.one.stone.soup.stringhelper;

import junit.framework.TestCase;

import org.one.stone.soup.stringhelper.StringArrayHelper;

public class StringArrayHelperTests extends TestCase{

	public void testParsesNestedString()
	{
		String testData = "a/b/c/outside[d/inside1[inside2]]/e[123]/f";
		
		String[] result = StringArrayHelper.parseFields(testData,'/','[',']');
		
		assertEquals(6,result.length);
		assertEquals("a",result[0]);
		assertEquals("b",result[1]);
		assertEquals("c",result[2]);
		assertEquals("outside[d/inside1[inside2]]",result[3]);
		assertEquals("e[123]",result[4]);
		assertEquals("f",result[5]);
	}

}
