package test.org.one.stone.soup.xml;

import org.one.stone.soup.xml.XmlDocument;
import org.one.stone.soup.xml.XmlParseException;
import org.one.stone.soup.xml.XmlParser;

import junit.framework.TestCase;

public class XmlAttributeTest extends TestCase {

	public void testXmlParserCanParseAttributeWithGTandLTInValue()
	{
		String nonXmlData = " >some <data> in here '< ";
		String xmlData="<xml><element attribute=\""+nonXmlData+"\"></element></xml>";
		
		XmlParser parser = new XmlParser();
		
		XmlDocument doc = null;
		try{
			doc = parser.parseDocument( xmlData );
		}
		catch(XmlParseException pex)
		{
			fail(pex.getMessage());
		}
		
		String result = doc.getElementByName("element").getAttributeValueByName("attribute");
		
		assertEquals("Failed to parse attribute",nonXmlData,result);		
	}
}
